# purefa_vg – Manage volume groups on Pure Storage FlashArrays

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Create, delete or modify volume groups on Pure Storage FlashArrays.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | FlashArray API token for admin privileged user.

eradicate
boolean

Choices:
- no ←
- yes

Define whether to eradicate the volume group on delete and leave in trash.

fa_url string / required |  | FlashArray management IPv4 address or Hostname.

state
string

Choices:
- absent
- present ←

Define whether the volume group should exist or not.

vgroup string / required |  | The name of the volume group.

## Notes

Note

- This module requires the `purestorage` Python library
- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Create new volume group
      purefa_vg:
        vgroup: foo
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Destroy volume group
      purefa_vg:
        vgroup: foo
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: absent

    - name: Recover deleted volume group
      purefa_vg:
        vgroup: foo
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Destroy and Eradicate volume group
      purefa_vg:
        vgroup: foo
        eradicate: true
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.